Skip to main content
`Ctrl`+`K`

# PCMGSetRhs

Sets the vector to be used to store the right-hand side on a particular level.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetRhs(PC pc, PetscInt l, Vec c)

Logically Collective

## Input Parameters

- pc - the multigrid context

- l - the level (0 is coarsest) this is to be used for

- c - the Vec

## Note

If this is not provided PETSc will automatically generate one. You do not need to keep a reference to this vector if you do not need it. `PCDestroy()` will properly free it.

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetX()`, `PCMGSetR()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages